#ifndef __INC_TextParser
#define __INC_TextParser

#define CH_SP 	32
#define CH_TAB 	9
#define CH_CR   13
#define CH_LF   10

class TextParser {
public:
	char* buffer;
	char* curr;

	bool eof() 				{return (!curr || !*curr);};
	char* skipChar();
	char* skipChars(unsigned short nchars);
	char* skipWhileChar(char chr);
	char* skipWhileFunction(bool (*fnct)(char));
	
	char* skipUntilChar(char chr);	
	char* skipUntilChars(char *chrs);	
	char* skipUntilNextLine();
	char* skipUntilSPoEOL();

	bool match(char *value);
	bool matchAndSkip(char *value);

	TextParser(char* Buffer);
	~TextParser() {}
};
#endif
